<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.papyrus.robotics.ros2.feature"
      label="%featureName"
      version="0.9.0.qualifier"
      provider-name="%providerName">

   <description url="https://eclipse.org/papyrus/components/robotics/">
      This feature provides ROS 2 code generation and reverse for Papyrus
for Robotics. It also provides the integration of an Eclipse CDT editor.
   </description>

   <copyright url="https://www.eclipse.org/legal/epl-2.0/">
      All rights reserved.   This program and the accompanying materials
are made available under the terms of the Eclipse Public License v2.0
which accompanies this distribution, and is available at
https://www.eclipse.org/legal/epl-2.0/
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
      <import feature="org.eclipse.papyrus.robotics.feature" version="0.9.0.qualifier"/>
      <import feature="org.eclipse.papyrus.designer.languages.cpp.feature" version="1.1.0.qualifier"/>
   </requires>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.cdteditor"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.codegen.common"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.examples"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.library.base"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.library.extra"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.preferences"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.reverse"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.launch"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.base"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.codegen.common"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.codegen.cpp"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.codegen.python"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.codegen.cpp.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.codegen.python.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.library.nav2"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

   <plugin
         id="org.eclipse.papyrus.robotics.ros2.preferences.ui"
         download-size="0"
         install-size="0"
         version="0.0.0"
         unpack="false"/>

</feature>
